import { cF as n, cG as c, aO as u, aN as d, cH as i, cI as m, cJ as y } from "./address-CBux52Na.mjs";
function s(e) {
  return [...i, m(e)];
}
function p(e, o) {
  const [t, r] = n(e), a = c(s(e), o);
  return {
    protocolName: t,
    payloadName: r,
    payloadLiteral: e,
    ...c(y, o),
    ...a,
    hash: u(d(s(e), a))
  };
}
export {
  p as c
};
